#region Dependencies
using System;
#endregion

using System.Runtime.InteropServices; // DllImport for Clips


namespace Spacewar
{
   

    static class Program
    {  
        //Things for calling clips
        [DllImport("c:/TEMP/clipsLib.dll")]
        public static extern void cppMain(int i);
        [DllImport("c:/TEMP/clipsLib.dll")]
        public static extern int cppGetFact(int i);
        
        private static Ship ship1;
        private static Ship ship2;
        public static void setShip1(Ship s1) { ship1 = s1; }
        public static void setShip2(Ship s2) { ship2 = s2; }
        public static Ship getShip1() { return ship1; }
        public static Ship getShip2() { return ship2; }
        public static RuleForm ruleForm = new RuleForm();
        public static Random rand = new Random();

        static void Main(string[] args)
        {
            cppMain(1);
            //System.Windows.Forms.Application.Run(new RuleForm());
                    
            using (SpacewarGame game = new SpacewarGame())
            {game.Run();}

        }
    }
}
